import type { Action } from "../types/common.js";
import type { ToolMessageProps } from "../types/tool.js";
export declare function useToolMessage(options: ToolMessageProps): {
    isExpanded: boolean;
    toggleExpanded: () => void;
    headerActions: Action[];
    footerActions: Action[];
    footerContent: import("react").ReactNode;
    showLoader: boolean;
    isWaiting: boolean;
};
